/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#include <gui/queue/label.h>


CollectionLabel :: CollectionLabel(BaseObjectType *cobject,
			       const Glib::RefPtr<Gtk::Builder> builder)
	: Gtk::HBox(cobject), _builder(builder)
{
	_builder->get_widget("collection_size", collection_size);
}

CollectionLabel :: ~CollectionLabel()
{
}



HistoryLabel :: HistoryLabel(BaseObjectType *cobject,
			     const Glib::RefPtr<Gtk::Builder> builder)
	: Gtk::HBox(cobject), _builder(builder)
{
	_builder->get_widget("history_size", history_size);
}

HistoryLabel :: ~HistoryLabel()
{
}



PlaylistLabel :: PlaylistLabel(BaseObjectType *cobject,
			     const Glib::RefPtr<Gtk::Builder> builder)
	: Gtk::HBox(cobject), _builder(builder)
{
}

PlaylistLabel :: ~PlaylistLabel()
{
}



TempLabel :: TempLabel(BaseObjectType *cobject,
		       const Glib::RefPtr<Gtk::Builder> builder)
	: Gtk::HBox(cobject), _builder(builder)
{
	_builder->get_widget("temp_number", temp_number);
	_builder->get_widget("temp_size",   temp_size);
	_builder->get_widget("temp_close",  temp_close);
}

TempLabel :: ~TempLabel()
{
}
