/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_QUEUE_LABEL_H
#define OCARINA_GUI_QUEUE_LABEL_H

#include <gtkmm.h>


class CollectionLabel : public Gtk::HBox {
private:
	Glib::RefPtr<Gtk::Builder> _builder;

public:
	Gtk::Label  *collection_size;

	CollectionLabel(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~CollectionLabel();
};



class HistoryLabel : public Gtk::HBox {
private:
	Glib::RefPtr<Gtk::Builder> _builder;

public:
	Gtk::Label  *history_size;

	HistoryLabel(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~HistoryLabel();
};



class PlaylistLabel : public Gtk::HBox {
private:
	Glib::RefPtr<Gtk::Builder> _builder;

public:
	PlaylistLabel(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~PlaylistLabel();
};



class TempLabel : public Gtk::HBox {
private:
	Glib::RefPtr<Gtk::Builder> _builder;

public:
	Gtk::Label  *temp_number;
	Gtk::Label  *temp_size;
	Gtk::Button *temp_close;

	TempLabel(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~TempLabel();
};

#endif /* OCARINA_GUI_QUEUE_LABEL_H */
