/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#include <gui/queue/toolbar.h>

QueueToolbar :: QueueToolbar(BaseObjectType *cobject,
			     const Glib::RefPtr<Gtk::Builder> builder)
	: Gtk::HBox(cobject), _builder(builder)
{
	_builder->get_widget("q_search", q_search);
	_builder->get_widget("q_switch", q_switch);
	_builder->get_widget("q_repeat", q_repeat);
	_builder->get_widget("q_random", q_random);
}

QueueToolbar :: ~QueueToolbar()
{
}
