/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_QUEUE_TOOLBAR_H
#define OCARINA_GUI_QUEUE_TOOLBAR_H

#include <gtkmm.h>

class QueueToolbar : public Gtk::HBox {
private:
	Glib::RefPtr<Gtk::Builder> _builder;

public:
	Gtk::SearchEntry  *q_search;
	Gtk::Switch       *q_switch;
	Gtk::ToggleButton *q_repeat;
	Gtk::ToggleButton *q_random;

	QueueToolbar(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~QueueToolbar();
};

#endif /* OCARINA_GUI_QUEUE_TOOLBAR_H */
